<?php

namespace App\Modules\TurkmenNumberFormatter;

use App\Modules\Makeable;
use App\Modules\ModuleContract;

class TurkmenNumberFormatterModule implements ModuleContract
{
    use Makeable;

    /**
     * Module is enabled
     */
    protected bool $enabled = true;

    /**
     * Check if is module enabled
     */
    public function isEnabled(): bool
    {
        return $this->enabled;
    }

    /**
     * Disable module
     */
    public function disable(): void
    {
        $this->enabled = false;
    }

    /**
     * Enable module
     */
    public function enable(): void
    {
        $this->enabled = true;
    }

    /**
     * Check if module has a filament resource
     */
    public function hasFilamentResource(): bool
    {
        return false;
    }
}
